/* MAIN COMPONTENTS */

   /* Sexy Pink Heart - https://www.cursors-4u.com/cursor/sexy-pink-heart-15 */
* {
  cursor: url('https://cdn.cursors-4u.net/previews/sexy-pink-heart-25412ebd-32.webp') 32 32, auto !important;
}
/* End www.Cursors-4U.com Code */


@font-face {
font-family: cute-text;
src: url(https://dl.dropbox.com/s/vlxjtnvrl9s0snp/Nintendo-DS-BIOS.ttf);
}

.cute-text {
  font-family: "cute-text", cursive, sans-sherif;
  font-size: 28px;
  color: white;
}

@font-face {
font-family:bratz;
src: url(https://dl.dropbox.com/s/2bxao21r582gf5d/FUNKHOUS.ttf);
}

.bratz {
  font-family: "bratz", cursive, sans-sherif;
  font-size: 24px;
  color: #b64593;
  -webkit-text-stroke: .5px #f0b402;
}

@font-face {                  
font-family: 'Pixel-Font';
src: url(https://humantooth.neocities.org/fonts/CHNOPixelCodePro-Regular.woff) format('woff');
} 

.Pixel-Font {
  font-family: 'Pixel-Font';
  font-size: 16px;
  color: black;
}

p:hover {
  background-color: #4b5994;
  border-radius: 5px;
  color: white;
}

/* END */

/* BUILDING BLOCKS */

.index {
  width: 147px;
  height: 105px;
  position: absolute;
  left: 103.5em;
  top: 10em;
  z-index: 98;
  overflow: auto;
}

/* END */

/* DECOR */

body {
  background-image: url("/images/bg.jpg");
  background-attachment: fixed;
  background-repeat: repeat;
  overflow: hidden;
  overflow-y: auto;
  overflow-x: hidden;
}

.banner {
  background-image: url("https://media.tumblr.com/b9bfba47c898444fdb6497a50e658084/tumblr_inline_mgwlxpFlkK1qbq39l.png");
  background-repeat: repeat-x;
  position: fixed;
  top:0;
  left: 0;
  z-index: 99;
  width: 100%;
  height: 100px;
}

.about-note {
  background-image: url("/images/note1.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width:350px;
  height: 450px;
  position: absolute;
  top: 10em;
  left: 50em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
}

.about-note-text {
  width: 200px;
  height: 240px;
  margin-left: 75px;
  margin-top: 90px;
  font-family: "cute-text";
  font-size: 22px;
  text-align: center;
  color: #514d34;
  padding: 2px;
}

.sticky-note-cal {
  width:350px;
  height: 350px;
  position: absolute;
  top: 10em;
  left: 22em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
}

.moon-note {
  background-image: url("/images/moonbg.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width:350px;
  height: 200px;
  position: absolute;
  top: 32em;
  left: 22em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
}

.moon-note-text {
  width: 50px;
  height: 240px;
  margin-left: 52px;
  margin-top: 25px;
}

/* TOYBOX */

.toybox {
  background-image: url("/images/sprites.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width:300px;
  height: 300px;
  position: absolute;
  top: 39em;
  left: 99em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
}

.toybox-title {
  width:210px;
  height: 25px;
  position: absolute;
  top: 1.8em;
  left: 2em;
  font-family: "bratz";
  font-size: 22px;
  text-align: center;
  color: #ffbe6a;
  padding: 2px;
  font-weight: bold;
}

.toybox-pixels {
  width:190px;
  height: 140px;
  position: absolute;
  top: 5em;
  left: 3em;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 10px;
  gap: 10px;
  overflow-y: auto;
  overflow-x: hidden;
}

.toybox-pixels-scroll {
  height: 10px;
  position: fixed;
  top:0;
  z-index: 99;
  width:100%;
  scale: 0 1;
  animation: toybox-pixels-scroll linear;
  animation-timeline: scroll();
  background-color: transparent;
}

@keyframes toybox-pixels-scroll {
  to {scale: 1 1;}
}

.list-section {
  margin-bottom: 20px;
}

/*END */

/* WEBRINGS */

.webrings {
  background-image: url("/images/webring.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width: 650px;
  height: 350px;
  position: absolute;
  top: 51em;
  left: 19em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
  overflow: hidden;
}

.webrings-title {
  width:210px;
  height: 25px;
  position: absolute;
  top: 2em;
  left: 10em;
  font-family: "bratz";
  font-size: 22px;
  text-align: center;
  color: #ffbe6a;
  padding: 2px;
  font-weight: bold;
}

.webrings-pixels {
  width:500px;
  height: auto;
  max-height: 220px;
  position: absolute;
  top: 5em;
  left: 4em;
  display: grid;
  grid-template-columns: 1fr;
  justify-items: center;
  padding: 10px;
  gap: 10px;
  overflow-y: auto;
  overflow-x: hidden;
}

.webrings-scroll {
  height: 10px;
  position: fixed;
  top:0;
  z-index: 99;
  width:100%;
  scale: 0 1;
  animation: toybox-pixels-scroll linear;
  animation-timeline: scroll();
  background-color: transparent;
}

@keyframes webrings-scroll {
  to {scale: 1 1;}
}

.webrings-list-section {
  margin-bottom: 20px;
}

/* END */

/* END */

/* WIDGETS */

.calendar {
  position: absolute;
  width: 100px;
  height: 100px;
  top: 1em;
  left: 1.4em;
}

/* MUSIC PLAYER */

.music-box {
  position: absolute;
  top: 6em;
  left: 6em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, .5));
}

.cd-container {
            position: relative;
            width: 220px;
            height: 220px;
        }

        .cd-player {
            position: relative;
            width: 100%;
            height: 100%;
            border-radius: 50%;
            background: url('/images/cd.jpg') no-repeat center/cover;
            border: 3px solid, white;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease-in-out;
        }

        .cd-player::before {
            content: "";
            position: absolute;
            width: 20px;
            height: 20px;
            background: #fff;
            border-radius: 50%;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .play-button {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 40px;
            height: 40px;
            background: rgba(0, 0, 0, 0.7);
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            color: #fff;
            font-size: 20px;
            cursor: pointer;
            opacity: 0;
            transition: opacity 0.3s ease-in-out;
        }

        .cd-container:hover .play-button {
            opacity: 1;
        }

        @keyframes spin {
            from { transform: rotate(0deg); }
            to { transform: rotate(360deg); }
        }


    

/* END */

/* STATUS CAFE */

.status-box {
  position: absolute;
  top: 39em;
  left: 51em;
  filter: drop-shadow(0px 8px 15px rgba(0, 0, 0, 0.5));
  width: 250px;
  font-family: 'cute-text';
}

#statuscafe {
    width: 100%;
    padding: .5em;
    background-color: #e4e9f2;
    border-style: solid;
    border-width: 30px;
    border-image: url("https://media.tumblr.com/tumblr_m0foctkLoY1qzvcyt.gif") 30 round;
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}

/* END */

/* CHATTABLE */

.chat {
  position: absolute;
  height: 200px;
  width: 154px;
  left: 5em; 
  top: 41em;
  z-index: 99;
  padding: 2px;
}

.photos{
  width: 218px;
  height:160px;
  background: pink;
  position: absolute;
  left:75.5em;
  top: 14em;
  z-index: 99;
  border-radius: 2px;
}

.dsring {
  width: 40px;
  height: 40px;
}